"use client"

import { IntlProvider } from "react-intl"

import type { ServerIntlProviderProps } from "@/types/i18n"

export default function ServerIntlProvider({
  children,
  intl,
}: ServerIntlProviderProps) {
  return <IntlProvider {...intl}>{children}</IntlProvider>
}
